"""Database contest manager"""
from pydb.factory.db_factory import db_factory


class DatabaseManager(object):
    """Context Manager for Database Connection

    Args:
        db_info (DB_INFO): Database connection info
                db_type (str): Database type

    """

    def __init__(self, db_info, db_type):
        self.db = db_factory(db_info, db_type)

    def __enter__(self):
        return self.db

    def __exit__(self, type, value, traceback):
        self.db.close()
